var populationGrowth = {
    'africa' : [106, 106, 107, 111, 133, 221, 783, 2478],
    'america': [12, 18, 31, 64, 156, 339, 820, 1217],
    'asia' : [411, 502, 635, 809, 947, 1402, 3700, 5267],
    'europe' : [178, 190, 203, 276, 408, 547, 675, 734],
    'oceania': [3, 2, 2, 2, 6, 13, 30, 57],
    'world' : [710, 791, 978, 1262, 1650, 2521, 6008, 9725]
};

var xScale = 50;

function initCanvas() {
    var canvas = document.getElementById('canvas'),
        context = canvas.getContext("2d");

    context.strokeColor = '#7142f4';

    return context;
}

function plotDataset(context, dataSet) {
    var canvasHeight = context.canvas.height;

    context.beginPath();
    context.moveTo(0, dataSet[0]);

    for (var populationIndex = 0; populationIndex < dataSet.length; populationIndex++) {
        var population = dataSet[populationIndex],
            xCoordinate = populationIndex * xScale,
            yCoordinate = canvasHeight - population;

        context.lineTo(xCoordinate, yCoordinate);
    }

    context.stroke();
}

function draw(context, dataSet) {
    for (var continent in dataSet) {
        var population = dataSet[continent];

        plotDataset(context, population);
    }
}

document.addEventListener('DOMContentLoaded', function(event) {
    var context = initCanvas();

    draw(context, populationGrowth);
});